import ReactDOM from "react-dom/client";
import React from "react";
import {PageRender} from "../../src";

window.__RENDER_PAGE_STATE__ = {
  "version": "1.0.2",
  "packagesMap": [
    {
      "package": "react",
      "version": "18.3.1",
      "exportName": "React",
      "destructuring": false,
      "subName": null,
      "componentName": "react",
      "style": "",
      "main": "https://qiniu.canyuegongzi.xyz/npm/react/18.3.1/umd/react.production.js"
    },
    {
      "package": "react-dom",
      "version": "18.3.1",
      "exportName": "ReactDOM",
      "destructuring": false,
      "subName": null,
      "componentName": "react-dom",
      "style": "",
      "main": "https://qiniu.canyuegongzi.xyz/npm/react-dom/18.3.1/umd/react-dom.production.js"
    },
    {
      "package": "logicflow-render",
      "version": "1.0.4",
      "exportName": "LogicflowRender",
      "style": "",
      "destructuring": false,
      "subName": "",
      "componentName": "LogicflowRender",
      "main": "https://qiniu.canyuegongzi.xyz/npm/logicflow-render/1.0.4/umd/logicflow-render.production.js"
    }/*,
          {
            "package": "page-client-render",
            "version": "2.1.5",
            "exportName": "PageClientRender",
            "style": "",
            "destructuring": false,
            "subName": "",
            "componentName": "PageClientRender",
            "main": "https://qiniu.canyuegongzi.xyz/npm/page-client-render/2.1.5/umd/page-client-render.production.js"
          }*/
  ],
  "componentsMap": [
    {
      "package": "lowcode-page",
      "version": "3.0.2",
      "exportName": "LowcodePage",
      "destructuring": false,
      "subName": null,
      "componentName": "LowcodePage"
    },
    {
      "package": "test",
      "version": "1.0.4",
      "exportName": "Test",
      "destructuring": false,
      "subName": "",
      "componentName": "Test"
    },
    {
      "package": "material-test",
      "version": "1.0.3",
      "exportName": "MaterialTest",
      "destructuring": false,
      "subName": "",
      "componentName": "MaterialTest"
    }
  ],
  "componentsTree": [
    {
      "thumb": "https://qiniu.canyuegongzi.xyz/lowcode_component/static/normal-component-logo.png",
      "id": "95",
      "componentId": 95,
      "alias": "低代码PAGE",
      "name": "lowcode-page",
      "componentName": "Page",
      "latest": "3.0.2",
      "version": "3.0.2",
      "props": {},
      "dependencies": {
        "lowcode-page": "3.0.2"
      },
      "componentType": [
        "Component",
        "Page",
        "Container"
      ],
      "sourceCode": "\nclass LowcodeComponent extends Component {\n  state = {}\n\n  componentDidMount() {}\n\n  componentWillUnmount() {}\n}",
      "children": [
        {
          "alias": "测试组件",
          "children": [],
          "componentId": "98",
          "componentName": "Test",
          "exportName": "Test",
          "css": "",
          "dependencies": {
            "test": "1.0.4"
          },
          "desc": null,
          "id": "XXfdEXujjZV5kou1t863V",
          "latest": "1.0.4",
          "lifeCycles": {},
          "name": "test",
          "props": {
            "name": "测试"
          },
          "thumb": "https://qiniu.canyuegongzi.xyz/lowcode_component/static/normal-component-logo.png",
          "version": "1.0.4",
          "componentType": [
            "Component"
          ]
        },
        {
          "alias": "测试物料",
          "children": [],
          "componentId": "99",
          "componentName": "MaterialTest",
          "exportName": "MaterialTest",
          "css": "",
          "dependencies": {
            "material-test": "1.0.3"
          },
          "desc": null,
          "id": "6ZVYIrJpWnU61XbGn1sLf",
          "latest": "1.0.3",
          "lifeCycles": {},
          "name": "material-test",
          "props": {
            "name": "测试",
            "image": "https://qiniu.canyuegongzi.xyz/card_a-b6046365-acf3-4b4f-8b4e-0336335bf75d.png",
            "date": "2021-03-23",
            "time": "12:23:24",
            "dateTime": "2021-03-23 12:23:24",
            "color": "#000000",
            "switch": "true",
            "selectMulVal": []
          },
          "thumb": "https://qiniu.canyuegongzi.xyz/lowcode_component/static/normal-component-logo.png",
          "version": "1.0.3",
          "componentType": [
            "Component"
          ]
        }
      ]
    }
  ]
}

console.log("example-----page--render")
ReactDOM.createRoot(document.getElementById('preview')!).render(
  <React.Fragment>
    <PageRender />
  </React.Fragment>,
)